"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getMappedImports = function (config, files) {
    if (files.length === 0) {
        return [];
    }
    var mappedImports = [];
    files.forEach(function (f) {
        Object.keys(config.paths).forEach(function (path) {
            var value = config.paths[path][0].replace("/*", "");
            if (f.includes(value)) {
                var a = f.replace(value, path.replace("/*", ""));
                var b = a.replace(/.tsx|.ts|.js/gi, "");
                mappedImports.push(b);
            }
        });
    });
    return mappedImports;
};
exports.default = getMappedImports;
