"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getInternalImports = function (_a, parsed) {
    var paths = _a.paths;
    if (!parsed.length) {
        return [];
    }
    var importsUsed = [];
    parsed.forEach(function (element) {
        element.imports.forEach(function (importObj) {
            var libraryName = importObj.libraryName;
            if (Object.keys(paths).some(function (path) {
                return libraryName.includes(path.replace("/*", ""));
            })) {
                importsUsed.push(importObj);
            }
        });
    });
    return importsUsed;
};
exports.default = getInternalImports;
